%define	name	kmplayer
%define	version	0.7.4c
%define	release	2mdk

Summary:	MPlayer frontend for KDE
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Video
Url:		http://www.xs4all.nl/~jjvrieze/
Source:		%{name}-%{version}.tar.bz2
#Patch:		%{name}-0.6-arts.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	libarts-devel libaudiofile0-devel libalsa-devel libvorbis-devel
BuildRequires:	libmad-devel nas-devel zlib-devel
BuildRequires:	kdelibs-devel libart_lgpl-devel	fam-devel libqt3-devel
Requires:	mplayer

%description
Kmplayer can play all the audio/video supported by MPlayer from local 
file or url, be embedded inside Konqueror and KHTML and play DVD's.

%prep
%setup -q -n %{name}
#%patch -p1

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure	--build=%{_target_platform} \
		--prefix=%{_prefix} \
		--libdir=%{_libdir} \
		--mandir=%{_mandir} \
		--datadir=%{_datadir} \
		--disable-debug \
		--enable-mt \
		--enable-shared \
		--disable-static \
		--disable-objprelink \
		--with-pic \
		--with-gnu-ld \
		--disable-rpath \
		--disable-embedded \
		--enable-fast-install=yes \
		--with-xinerama \
		--enable-final \
		--with-qt-dir=%{_prefix}/lib/qt3

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std transform=""

mkdir -p %{buildroot}%{_menudir}
cat > %{buildroot}/%{_menudir}/%{name} <<EOF
?package(%{name}):\
command="%{_bindir}/%{name}"\
title="Kmplayer"\
longtitle="KDE mplayer gui"\
needs="x11"\
icon="%{name}.png"\
section="Multimedia/Video"
EOF

#Menu icons
mkdir -p %{buildroot}/{%{_miconsdir},%{_liconsdir}}
install %{name}/lo16-app-%{name}.png %{buildroot}%{_miconsdir}/%{name}.png
install %{name}/lo32-app-%{name}.png %{buildroot}%{_iconsdir}/%{name}.png
install %{name}/lo32-app-%{name}.png %{buildroot}%{_liconsdir}/%{name}.png

rm -f %{buildroot}%{_datadir}/mimelnk/video/x-ms-asf.desktop

%{find_lang} %{name}

%post
%update_menus

%postun
%update_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README
%{_bindir}/%{name}
%{_libdir}/kde3/kparts*
%{_libdir}/kdeinit*
#%{_datadir}/applnk/Multimedia/More/*.desktop
%{_datadir}/applnk/Multimedia/*.desktop
%{_datadir}/config/*
%{_docdir}/HTML/en/kmplayer
%{_datadir}/services/*
%{_datadir}/mimelnk/application/x-*
%{_datadir}/mimelnk/video/x-*
%{_datadir}/apps/%{name}
%{_datadir}/icons/*/*/*/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_menudir}/%{name}

%changelog
* Fri Aug 08 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.7.4c-2mdk
- rebuild

* Fri Jun 20 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.7.4c-1mdk
- 0.7.4c
- use --enable-final, --build, --with-xinerama
- fix path to qt3 (lib64 issues..)
- macroize
- comment out non-applied patch
* Wed Apr 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.7.4a-2mdk
- buildrequires

* Wed Apr 23 2003 Buchan Milne <bgmilne@linux-mandrake.com> 0.7.4a-1mdk
- 0.7.4a
- fix menu, use real icon
- Buildrequires (I hope I got them all)

* Thu Feb 27 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.7a-3mdk
- Require mplayer(doh!)
- rm -rf buildroot during install
- more consistent spec
- quiet setup

* Wed Feb 12 2003 Laurent Culioli <laurent@pschit.net> 0.7a-2mdk
- fix conflict with mandrake-mime

* Wed Feb 12 2003 Laurent Culioli <laurent@pschit.net> 0.7a-1mdk
- 0.7a

* Mon Jan 13 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.6-0.2mdk
- from Elliott Martin <elliott@pdx.edu> :
	- add patch to make mplayer run using -ao arts

* Mon Jan 06 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.6-0.1mdk
- fix file section
- add menu
- from Elliott Martin <elliott@pdx.edu> :
	- new rpm, version 0.6
